package com.bcxin.ars.dto.approve;

/**
 * @author：wangcy
 * @date：2018/01/25 0025 13:36
 * @description：流程线的所有地区（省，市，区，派出所（如果有断层这为空））
 */
public class ApproveProcessDto {
    /**
     * 省份ID
     */
    private Long provinceId;
    /**
     * 城市ID
     */
    private Long cityId;
    /**
     * 区县ID
     */
    private Long areaId;
    /**
     * 派出所ID
     */
    private Long pcsId;
    /**
     * 审批流程线配置状态
     */
    private String approveSetStatus;
    /**
     * 最小审批单位
     */
    private Long minAreaId;


    /**
     * 审批环节流程明细Id
     */
    private Long approveLinkProDetailId;

    /**
     * 最小区域审批等级
     */
    private String minRegionLevel;


    /**
     * 最小区域
     */
    private String minRegionId;

    /**
     * 最小审批公安ID
     */
    private Long minPoliceId;

    /**
     * 最小区域审批流程
     */
    private Long minApproveAreaProcess;
    //用于json 导入 每个审批流程的ID
    /**
     * 省级审批流程ID
     */
    private Long pApproveAreaProcess;
    /**
     * 市级审批流程ID
     */
    private Long cApproveAreaProcess;
    /**
     * 区级审批流程ID
     */
    private Long aApproveAreaProcess;
    /**
     * 派出所审批流程ID
     */
    private Long gApproveAreaProcess;
    /**
     * 派出所最小区域代码
     */
    private String minPoliceCode;
    /**
     * 派出所最小区域机构名
     */
    private String minOrgname;

    public String getMinOrgname() {
        return minOrgname;
    }

    public void setMinOrgname(String minOrgname) {
        this.minOrgname = minOrgname;
    }

    public String getMinPoliceCode() {
        return minPoliceCode;
    }

    public void setMinPoliceCode(String minPoliceCode) {
        this.minPoliceCode = minPoliceCode;
    }

    public String getMinRegionLevel() {
        return minRegionLevel;
    }

    public void setMinRegionLevel(String minRegionLevel) {
        this.minRegionLevel = minRegionLevel;
    }

    public String getMinRegionId() {
        return minRegionId;
    }

    public void setMinRegionId(String minRegionId) {
        this.minRegionId = minRegionId;
    }

    public Long getMinPoliceId() {
        return minPoliceId;
    }

    public void setMinPoliceId(Long minPoliceId) {
        this.minPoliceId = minPoliceId;
    }

    public Long getpApproveAreaProcess() {
        return pApproveAreaProcess;
    }

    public void setpApproveAreaProcess(Long pApproveAreaProcess) {
        this.pApproveAreaProcess = pApproveAreaProcess;
    }

    public Long getcApproveAreaProcess() {
        return cApproveAreaProcess;
    }

    public void setcApproveAreaProcess(Long cApproveAreaProcess) {
        this.cApproveAreaProcess = cApproveAreaProcess;
    }

    public Long getaApproveAreaProcess() {
        return aApproveAreaProcess;
    }

    public void setaApproveAreaProcess(Long aApproveAreaProcess) {
        this.aApproveAreaProcess = aApproveAreaProcess;
    }

    public Long getgApproveAreaProcess() {
        return gApproveAreaProcess;
    }

    public void setgApproveAreaProcess(Long gApproveAreaProcess) {
        this.gApproveAreaProcess = gApproveAreaProcess;
    }

    public Long getMinApproveAreaProcess() {
        return minApproveAreaProcess;
    }

    public void setMinApproveAreaProcess(Long minApproveAreaProcess) {
        this.minApproveAreaProcess = minApproveAreaProcess;
    }

    public Long getMinAreaId() {
        return minAreaId;
    }

    public void setMinAreaId(Long minAreaId) {
        this.minAreaId = minAreaId;
    }

    public Long getApproveLinkProDetailId() {
        return approveLinkProDetailId;
    }

    public void setApproveLinkProDetailId(Long approveLinkProDetailId) {
        this.approveLinkProDetailId = approveLinkProDetailId;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Long getPcsId() {
        return pcsId;
    }

    public void setPcsId(Long pcsId) {
        this.pcsId = pcsId;
    }

    public String getApproveSetStatus() {
        return approveSetStatus;
    }

    public void setApproveSetStatus(String approveSetStatus) {
        this.approveSetStatus = approveSetStatus;
    }
}
